## org.eclipse.jetty.server
Class AsyncContinuation.AsyncEventState

    java.lang.Object
      org.eclipse.jetty.util.thread.Timeout.Task
          org.eclipse.jetty.server.AsyncContinuation.AsyncEventState

All Implemented Interfaces:
  Runnable

Enclosing class:
  AsyncContinuation

    public class AsyncContinuation.AsyncEventState

extends Timeout.Task
implements Runnable

Constructor Summary
`AsyncContinuation.AsyncEventState(ServletContext context, ServletRequest request, ServletResponse response)`

Method Summary
`void` `expired()` Expire task.
`ServletContext` `getDispatchContext()`
`String` `getPath()`
`ServletRequest` `getRequest()`
`ServletResponse` `getResponse()`
`ServletContext` `getServletContext()`
`ServletContext` `getSuspendedContext()`
`void` `run()`

Methods inherited from class org.eclipse.jetty.util.thread.Timeout.Task
`cancel, expire, getAge, getTimestamp, isExpired, isScheduled, reschedule, schedule, schedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncContinuation.AsyncEventState

    public AsyncContinuation.AsyncEventState(ServletContext context,
                                             ServletRequest request,
                                             ServletResponse response)

Method Detail

### getSuspendedContext

    public ServletContext getSuspendedContext()

### getDispatchContext

    public ServletContext getDispatchContext()

### getServletContext

    public ServletContext getServletContext()

### getRequest

    public ServletRequest getRequest()

### getResponse

    public ServletResponse getResponse()

### getPath

    public String getPath()

### expired

    public void expired()

  Description copied from class: `Timeout.Task`
  Expire task. This method is called when the timeout expires. It is called outside of any synchronization scope and may be delayed.

  Overrides:
    `expired` in class `Timeout.Task`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.